package mhp.oee.po.gen;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ActivityParamPOExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Integer offset;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public ActivityParamPOExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getOffset() {
        return offset;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHandleIsNull() {
            addCriterion("HANDLE is null");
            return (Criteria) this;
        }

        public Criteria andHandleIsNotNull() {
            addCriterion("HANDLE is not null");
            return (Criteria) this;
        }

        public Criteria andHandleEqualTo(String value) {
            addCriterion("HANDLE =", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotEqualTo(String value) {
            addCriterion("HANDLE <>", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThan(String value) {
            addCriterion("HANDLE >", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThanOrEqualTo(String value) {
            addCriterion("HANDLE >=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThan(String value) {
            addCriterion("HANDLE <", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThanOrEqualTo(String value) {
            addCriterion("HANDLE <=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLike(String value) {
            addCriterion("HANDLE like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotLike(String value) {
            addCriterion("HANDLE not like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleIn(List<String> values) {
            addCriterion("HANDLE in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotIn(List<String> values) {
            addCriterion("HANDLE not in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleBetween(String value1, String value2) {
            addCriterion("HANDLE between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotBetween(String value1, String value2) {
            addCriterion("HANDLE not between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andActivityBoIsNull() {
            addCriterion("ACTIVITY_BO is null");
            return (Criteria) this;
        }

        public Criteria andActivityBoIsNotNull() {
            addCriterion("ACTIVITY_BO is not null");
            return (Criteria) this;
        }

        public Criteria andActivityBoEqualTo(String value) {
            addCriterion("ACTIVITY_BO =", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoNotEqualTo(String value) {
            addCriterion("ACTIVITY_BO <>", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoGreaterThan(String value) {
            addCriterion("ACTIVITY_BO >", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoGreaterThanOrEqualTo(String value) {
            addCriterion("ACTIVITY_BO >=", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoLessThan(String value) {
            addCriterion("ACTIVITY_BO <", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoLessThanOrEqualTo(String value) {
            addCriterion("ACTIVITY_BO <=", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoLike(String value) {
            addCriterion("ACTIVITY_BO like", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoNotLike(String value) {
            addCriterion("ACTIVITY_BO not like", value, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoIn(List<String> values) {
            addCriterion("ACTIVITY_BO in", values, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoNotIn(List<String> values) {
            addCriterion("ACTIVITY_BO not in", values, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoBetween(String value1, String value2) {
            addCriterion("ACTIVITY_BO between", value1, value2, "activityBo");
            return (Criteria) this;
        }

        public Criteria andActivityBoNotBetween(String value1, String value2) {
            addCriterion("ACTIVITY_BO not between", value1, value2, "activityBo");
            return (Criteria) this;
        }

        public Criteria andParamIdIsNull() {
            addCriterion("PARAM_ID is null");
            return (Criteria) this;
        }

        public Criteria andParamIdIsNotNull() {
            addCriterion("PARAM_ID is not null");
            return (Criteria) this;
        }

        public Criteria andParamIdEqualTo(String value) {
            addCriterion("PARAM_ID =", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdNotEqualTo(String value) {
            addCriterion("PARAM_ID <>", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdGreaterThan(String value) {
            addCriterion("PARAM_ID >", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdGreaterThanOrEqualTo(String value) {
            addCriterion("PARAM_ID >=", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdLessThan(String value) {
            addCriterion("PARAM_ID <", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdLessThanOrEqualTo(String value) {
            addCriterion("PARAM_ID <=", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdLike(String value) {
            addCriterion("PARAM_ID like", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdNotLike(String value) {
            addCriterion("PARAM_ID not like", value, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdIn(List<String> values) {
            addCriterion("PARAM_ID in", values, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdNotIn(List<String> values) {
            addCriterion("PARAM_ID not in", values, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdBetween(String value1, String value2) {
            addCriterion("PARAM_ID between", value1, value2, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamIdNotBetween(String value1, String value2) {
            addCriterion("PARAM_ID not between", value1, value2, "paramId");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueIsNull() {
            addCriterion("PARAM_DEFAULT_VALUE is null");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueIsNotNull() {
            addCriterion("PARAM_DEFAULT_VALUE is not null");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueEqualTo(String value) {
            addCriterion("PARAM_DEFAULT_VALUE =", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueNotEqualTo(String value) {
            addCriterion("PARAM_DEFAULT_VALUE <>", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueGreaterThan(String value) {
            addCriterion("PARAM_DEFAULT_VALUE >", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueGreaterThanOrEqualTo(String value) {
            addCriterion("PARAM_DEFAULT_VALUE >=", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueLessThan(String value) {
            addCriterion("PARAM_DEFAULT_VALUE <", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueLessThanOrEqualTo(String value) {
            addCriterion("PARAM_DEFAULT_VALUE <=", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueLike(String value) {
            addCriterion("PARAM_DEFAULT_VALUE like", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueNotLike(String value) {
            addCriterion("PARAM_DEFAULT_VALUE not like", value, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueIn(List<String> values) {
            addCriterion("PARAM_DEFAULT_VALUE in", values, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueNotIn(List<String> values) {
            addCriterion("PARAM_DEFAULT_VALUE not in", values, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueBetween(String value1, String value2) {
            addCriterion("PARAM_DEFAULT_VALUE between", value1, value2, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDefaultValueNotBetween(String value1, String value2) {
            addCriterion("PARAM_DEFAULT_VALUE not between", value1, value2, "paramDefaultValue");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionIsNull() {
            addCriterion("PARAM_DESCRIPTION is null");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionIsNotNull() {
            addCriterion("PARAM_DESCRIPTION is not null");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionEqualTo(String value) {
            addCriterion("PARAM_DESCRIPTION =", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionNotEqualTo(String value) {
            addCriterion("PARAM_DESCRIPTION <>", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionGreaterThan(String value) {
            addCriterion("PARAM_DESCRIPTION >", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("PARAM_DESCRIPTION >=", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionLessThan(String value) {
            addCriterion("PARAM_DESCRIPTION <", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionLessThanOrEqualTo(String value) {
            addCriterion("PARAM_DESCRIPTION <=", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionLike(String value) {
            addCriterion("PARAM_DESCRIPTION like", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionNotLike(String value) {
            addCriterion("PARAM_DESCRIPTION not like", value, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionIn(List<String> values) {
            addCriterion("PARAM_DESCRIPTION in", values, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionNotIn(List<String> values) {
            addCriterion("PARAM_DESCRIPTION not in", values, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionBetween(String value1, String value2) {
            addCriterion("PARAM_DESCRIPTION between", value1, value2, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andParamDescriptionNotBetween(String value1, String value2) {
            addCriterion("PARAM_DESCRIPTION not between", value1, value2, "paramDescription");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNull() {
            addCriterion("CREATED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNotNull() {
            addCriterion("CREATED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME =", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <>", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThan(Date value) {
            addCriterion("CREATED_DATE_TIME >", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME >=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThan(Date value) {
            addCriterion("CREATED_DATE_TIME <", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME not in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME not between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNull() {
            addCriterion("MODIFIED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNotNull() {
            addCriterion("MODIFIED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME =", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <>", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME >", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME >=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME <", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME not in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME not between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNull() {
            addCriterion("MODIFIED_USER is null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNotNull() {
            addCriterion("MODIFIED_USER is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserEqualTo(String value) {
            addCriterion("MODIFIED_USER =", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotEqualTo(String value) {
            addCriterion("MODIFIED_USER <>", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThan(String value) {
            addCriterion("MODIFIED_USER >", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER >=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThan(String value) {
            addCriterion("MODIFIED_USER <", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER <=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLike(String value) {
            addCriterion("MODIFIED_USER like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotLike(String value) {
            addCriterion("MODIFIED_USER not like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIn(List<String> values) {
            addCriterion("MODIFIED_USER in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotIn(List<String> values) {
            addCriterion("MODIFIED_USER not in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER not between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table activity_param
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}